******************************************************************************
* Project...........: Visual Extend 7.0
*                     Copyright (c) Devigus Engineering AG.
*                     All Rights Reserved.
*
* Program...........: VFXHOOK.PRG
* Author ...........: DEAG
* Created...........: September 2000
* Version...........: 07.00.000
*
* Description.......:
* Calling Samples...:
* Parameter List....:
* Major change list.:
*

#include "INCLUDE\VFX.H"

FUNCTION eventhookhandler(tcevent, toobject, toform)
LOCAL lcontinue

lcontinue = .T.
DO CASE
CASE UPPER(tcEvent)=="INIT"
	* Schwarze Schrift in allen disabled Controls
	IF PEMSTATUS(toObject,"disabledforecolor",5)
		toObject.disabledforecolor=eval(left(rgbscheme(1,2),at(",",rgbscheme(1,2),3)-1)+")")
		IF PEMSTATUS(toObject,"disabledbackcolor",5)
			toObject.disabledbackcolor=eval("rgb("+substr(rgbscheme(1,2),at(",",rgbscheme(1,2),3)+1))
		ENDIF
	ENDIF
	* Gridsizing verhindern
	IF UPPER(toObject.baseclass)=="GRID"
		toobject.allowrowsizing=.F.
		toobject.allowheadersizing=.F.
		* Themes-Support in VFP 8 verhindert Header-Coloring.
		toobject.themes=.F.
		* Aktuelle Grid-Zeile markieren
		toobject.highlightstyle=1
	ENDIF
CASE UPPER(tcEvent)=="RIGHTCLICK" AND UPPER(toObject.baseclass)=="TEXTBOX" AND toForm.nformstatus>0
	* Mini-Taschenrechner
	IF VERSION(5)>=700 AND TYPE("toObject.value") $ "YN"
		DEFINE BAR 4 OF shortcut PROMPT "Berechne"
		ON SELECTION BAR 4 OF shortcut berechne(_screen.ActiveForm.activecontrol)
	ENDIF
CASE UPPER(tcEvent)=="RIGHTCLICK" AND UPPER(toObject.baseclass)=="EDITBOX" AND toForm.nformstatus>0
	* Rechtschreibprfung starten
	DEFINE BAR 4 OF shortcut PROMPT "Rechtschreibprfung"
	ON SELECTION BAR 4 OF shortcut spellchk(_screen.ActiveForm,_screen.ActiveForm.activecontrol)
ENDCASE
RETURN lcontinue
ENDFUNC
